## org.apache.bcel.classfile
Interface AttributeReader

public interface AttributeReader

Unknown (non-standard) attributes may be read via user-defined factory objects that can be registered with the Attribute.addAttributeReader method.

Version:
  $Id: AttributeReader.java,v 1.1 2001/11/20 11:40:46 mdahm Exp $
Author:
  M. Dahm
See Also:
  `Attribute`

Method Summary
`Attribute` `createAttribute(int name_index, int length, java.io.DataInputStream file, ConstantPool constant_pool)`

Method Detail

### createAttribute

    public Attribute createAttribute(int name_index,
                                     int length,
                                     java.io.DataInputStream file,
                                     ConstantPool constant_pool)